#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    string s="";
    int n,k;
    cin>>n>>k;

    if(k==1)
    {
    char ch;
    for(int i=0;i<n;i++)
    {
        cin>>ch;
        s+=ch;
    }

    string mini=s.substr(1);
    for(int i=1;i<n;i++)
    {
        if(mini>s.substr(0,i)+s.substr(i+1))
            mini=s.substr(0,i)+s.substr(i+1);
    }
    for(int i=0;i<n-1;i++)
    {
        if(i==n-2)
        cout<<mini[i];
        else
            cout<<mini[i]<<" ";

    }
    }
    else
    {
        int a[n-k];
        int jed=0,x,j=0;
        for(int i=0;i<n;i++)
        {
            cin>>x;
            if(x==0 || jed>=k)
            {

                a[j]=x;
                j++;
            }
            if(x==1) jed++;
        }
        for(int i=0;i<n-k;i++)
            cout<<a[i]<<" ";
    }



    return 0;
}